# Uses of Interface
net.shibboleth.shared.security.DataSealerKeyStrategy

Packages that use DataSealerKeyStrategy
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.

## Uses of DataSealerKeyStrategy in net.shibboleth.shared.security

Fields in net.shibboleth.shared.security declared as DataSealerKeyStrategy
Modifier and Type
Field
Description
`private DataSealerKeyStrategy`
DataSealer.`keyStrategy`
Source of keys.
Methods in net.shibboleth.shared.security with parameters of type DataSealerKeyStrategy
Modifier and Type
Method
Description
`void`
DataSealer.`setKeyStrategy(DataSealerKeyStrategy strategy)`
Set the key strategy.

## Uses of DataSealerKeyStrategy in net.shibboleth.shared.security.impl

Classes in net.shibboleth.shared.security.impl that implement DataSealerKeyStrategy
Modifier and Type
Class
Description
`class`
`BasicKeystoreKeyStrategy`
Implements a strategy for access to versioned symmetric keys using a keystore, and a standalone file for tracking the latest key version, to compensate for the lack of extensible attribute support in the pre-Java 8 KeyStore API.
`class`
`ScriptedKeyStrategy`
Implements a strategy for access to versioned symmetric keys using scripts.